import os
import sys
import subprocess

# The game code is in a package called "pw26flow", which can also
# be run manually from the current directory with
#    python3 -m pw26flow

# To make sure the user is in the correct directory, this script
# simply changes to the correct directory and executes the module.
# But PygameZero assumes the initially executed script is the main script,
# so we start a new interpreter here so that this is true.
subprocess.run(
    [sys.executable, "-m", "pw26flow"], cwd=os.path.abspath(os.path.dirname(__file__))
)

